Skip to main content
GET
List appointments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number, starting at 1.

Required range: 1 <= x <= 9007199254740991
perPage
integer
default:50

Number of items per page, up to 50.

Required range: 1 <= x <= 50
calendarId
string

Restrict to appointments on this calendar. Get it from appointmentCalendars.list.

Pattern: ^\d+$
tab
enum<string>

Restrict to upcoming (next) or past appointments.

Available options:
next,
past

Case-insensitive substring match against the contact's name.

Response

OK

data
object[]
required

Items on this page.

pageCount
integer
required

Total number of pages for the requested perPage; stop when page >= pageCount.

Required range: -9007199254740991 <= x <= 9007199254740991